geos::operation::buffer::RightmostEdgeFinder Class Reference

A RightmostEdgeFinder find the geomgraph::DirectedEdge in a list which has the highest coordinate, and which is oriented L to R at that point. (I.e. the right side is on the RHS of the edge.). More...

`#include <RightmostEdgeFinder.h>`

## Public Member Functions

| RightmostEdgeFinder ()
| A RightmostEdgeFinder finds the geomgraph::DirectedEdge with the rightmost coordinate.
geomgraph::DirectedEdge * | getEdge ()
geom::Coordinate & | getCoordinate ()
void | findEdge (std::vector< geomgraph::DirectedEdge * > *dirEdgeList)
| Note that only Forward DirectedEdges will be checked.

## Detailed Description

A RightmostEdgeFinder find the geomgraph::DirectedEdge in a list which has the highest coordinate, and which is oriented L to R at that point. (I.e. the right side is on the RHS of the edge.).

## Constructor & Destructor Documentation

## RightmostEdgeFinder()

geos::operation::buffer::RightmostEdgeFinder::RightmostEdgeFinder | ( |  | ) |

A RightmostEdgeFinder finds the geomgraph::DirectedEdge with the rightmost coordinate.

The geomgraph::DirectedEdge returned is guaranteed to have the R of the world on its RHS.

The documentation for this class was generated from the following file:

- RightmostEdgeFinder.h